# BaseCrash

## 全局异常捕获

## 使用方法

### 如果你的项目 Gradle 配置是在 7.0 以下，需要在 build.gradle 文件中加入

~~~
repositories {
        maven {
            url "https://www.benyanyi.com/repository/benyanyi/"
        }
    }
~~~

### 如果你的 Gradle 配置是 7.0 及以上，则需要在 settings.gradle 文件中加入

~~~
dependencyResolutionManagement {
    repositories {
        maven {
            url "https://www.benyanyi.com/repository/benyanyi/"
        }
    }
}
~~~

### module 下添加

~~~
implementation 'com.yanyi.benyanyi:crash-lib:1.0.4'
~~~

### 参数介绍

* CrashReporter.initialize(this,"日志保存文件路径") 初始化，日志保存文件路径可不填
* CrashReporter.logException(e)，异常信息手动写入文件夹
* startActivity(CrashReporter.getLaunchIntent())，异常日志文件可视化

## 更新

* 2023-01-28 提交1.0.4，优化部分细节
* 2022-12-29 更新1.0.3，首次提交

---
若在使用过程中出现什么问题，可以联系作者<br/>
作者：演绎<br/>
QQ：1541612424<br/>
email： work@yanyi.red<br/>
微信公众号：benyanyi(演绎未来)&nbsp;&nbsp;&nbsp;将会不定期的更新关于android的一些文章

## 版本规则

* 测试版为{当前正式版本号}+1-{base}{N(未出正式版前持续叠加，从1开始)}
* 正式版为{当前正式版本号}+1,一般只有测试版未测出问题才会出正式版，正式版也是测试版去除{base}{N}得出

